#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
};

static const struct modversion_info ____versions[]
__attribute_used__
__attribute__((section("__versions"))) = {
	{ 0x1d64c9b5, "struct_module" },
	{ 0x5418d52a, "param_get_ushort" },
	{ 0xc4c5509d, "param_set_ushort" },
	{ 0x5611e4ec, "param_get_bool" },
	{ 0xdc76cbcb, "param_set_bool" },
	{ 0xa4bcddd6, "usb_deregister" },
	{ 0xe639d21b, "usb_serial_deregister" },
	{ 0xd7b05f, "usb_register_driver" },
	{ 0x92b337cc, "usb_serial_register" },
	{ 0x4c38e7d8, "interruptible_sleep_on" },
	{ 0xfc535e10, "schedule_delayed_work" },
	{ 0x66d9f144, "tty_flip_buffer_push" },
	{ 0xef85bc5f, "tty_insert_flip_string_flags" },
	{ 0x224baeeb, "tty_buffer_request_room" },
	{ 0xc281c899, "__wake_up" },
	{ 0xa3fa85c, "schedule_work" },
	{ 0x48b47d33, "usb_alloc_urb" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x8b9d6879, "usb_kill_urb" },
	{ 0x801678, "flush_scheduled_work" },
	{ 0xda264347, "del_timer" },
	{ 0x5b41640c, "usb_submit_urb" },
	{ 0x707f93dd, "preempt_schedule" },
	{ 0x264b9d81, "usb_free_urb" },
	{ 0x463e37ad, "init_timer" },
	{ 0x97d343c6, "device_remove_file" },
	{ 0xcba4ce2f, "device_create_file" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x1d26aa98, "sprintf" },
	{ 0x7dceceac, "capable" },
	{ 0xd6c963c, "copy_from_user" },
	{ 0x2f287f0d, "copy_to_user" },
	{ 0x785c34d9, "tty_get_baud_rate" },
	{ 0x37a0cba, "kfree" },
	{ 0xa544e32c, "usb_control_msg" },
	{ 0xf63c965a, "kmem_cache_alloc" },
	{ 0xe2c930e1, "malloc_sizes" },
	{ 0x1b7d4074, "printk" },
	{ 0x5d458b57, "usb_serial_disconnect" },
	{ 0x752106f, "usb_serial_probe" },
};

static const char __module_depends[]
__attribute_used__
__attribute__((section(".modinfo"))) =
"depends=usbserial";

MODULE_ALIAS("usb:v0403pFC60d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403p8372d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403p6001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403p6006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403p6010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFA10d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1209p1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1209p1006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFC08d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFC09d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFC0Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFC0Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFC0Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFC0Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFC0Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFC0Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFC82d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DCDp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFE38d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFA00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFA01d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFA02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFA03d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFA04d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFA05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFA06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF0C0d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF208d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2101d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2102d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2103d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2104d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2211d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2221d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2212d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2222d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2213d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2223d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2411d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2421d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2431d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2441d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2412d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2422d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2432d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2442d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2413d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2423d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2433d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2443d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2811d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2821d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2831d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2841d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2851d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2861d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2871d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2881d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2812d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2822d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2832d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2842d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2852d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2862d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2872d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2882d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2813d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2823d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2833d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2843d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2853d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2863d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2873d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C52p2883d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0ACDp0300d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B39p0421d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFA78d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF850d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFC70d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFC71d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFC72d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFC73d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE808d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE809d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE80Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE80Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE80Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE80Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE80Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE80Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE888d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE889d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE88Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE88Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE88Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE88Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE88Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE88Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFB5Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFB5Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFB58d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF06Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE6C8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF06Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF448d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF449d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF44Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF44Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF44Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF9D0d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF9D1d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFAD0d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v093Cp0601d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v093Cp0701d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F94p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F94p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF680d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFD60d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0856pAC01d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0856pAC02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0856pAC03d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE520d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403p8372d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF3C0d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF3C1d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pD388d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pD389d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pD38Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pD38Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pD38Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pD38Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pD38Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pD38Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1342p0202d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pE548d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pEEE8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pEEE9d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pEEEAd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pEEEBd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pEEECd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pEEEDd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pEEEEd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pEEEFd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pEC88d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pEC89d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:vDEEEp0300d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pDF28d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pDF30d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pDF32d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pDF31d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pDF33d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D46p2020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D46p2021d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D3Ap0300d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFF20d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pDC00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pDC01d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pFA88d*dc*dsc*dp*ic*isc*ip*");
